<template>
  <div class="footer-gradient pt-[68px] pb-[153px]">
    <div class="w-full md:w-[1267px] px-5 md:px-0 mx-auto">
      <div class="w-full md:w-[1200px] px-5 md:px-0 mx-auto block md:flex items-center mb-[107px]">
        <img :src="ladyImage" class="!mr-[88px] w-[200px] md:w-[314px] shrink-0 mx-auto md:mx-0 relative left-5 md:left-0" alt="lady" />
        <div class="text-center md:text-left">
          <div class="text-[24px] md:text-[37px] leading-8 md:leading-[59px] text-center md:text-left text-white font-bold mb-[37px]">Solusi Pembayaran untuk Kelancaran Cashflow Bisnis via Paper id</div>
          <button class="h-[56px] leading-[56px] text-center text-white bg-[#93C854] rounded-full text-[18px] w-[274px]">Daftar Gratis Sekarang</button>
        </div>
      </div>
      <FooterLink />
      <div class="flex items-center justify-center pb-[26px] mb-[21px] border-b border-white border-opacity-60">
        <div class="block md:flex">
          <div class="mr-0 md:mr-7 mb-5 md:mb-0">
            <div class="text-white text-[14px] leading-[21px] mb-[5px] font-bold text-center">Download Paper.id apps</div>
            <a href="#" class="block text-center">
              <img :src="playstoreImage" alt="playstore" class="w-[114px] mx-auto" />
            </a>
          </div>
          <div>
            <div class="text-white text-[14px] leading-[21px] mb-[5px] font-bold text-center">Keamanan</div>
            <div class="flex">
              <img :src="securityIcon" alt="security" class="w-[98px] mr-1" />
              <img :src="kanIcon" alt="security" class="w-[49px] mr-1" />
              <img :src="certificationIcon" alt="security" class="w-[71px] mr-1" />
            </div>
          </div>
        </div>
      </div>
      <div class="block md:flex justify-between items-center">
        <div class="text-[14px] leading-[21px] text-white opacity-60 text-center md:text-left mb-10 md:mb-0">Copyright © 2023 Paper.id (PT Pakar Digital Global)</div>
        <div class="flex justify-center w-full md:w-auto mb-5 md:mb-0">
          <a href="#" class="w-[25px] h-[25px] rounded-full border border-white flex items-center justify-center mr-[15px]">
            <font-awesome-icon :icon="['fab', 'youtube']" class="text-white text-[13px]" />
          </a>
          <a href="#" class="w-[25px] h-[25px] rounded-full border border-white flex items-center justify-center mr-[15px]">
            <font-awesome-icon :icon="['fab', 'facebook-f']" class="text-white text-[13px]" />
          </a>
          <a href="#" class="w-[25px] h-[25px] rounded-full border border-white flex items-center justify-center mr-[15px]">
            <font-awesome-icon :icon="['fab', 'linkedin-in']" class="text-white text-[13px]" />
          </a>
          <a href="#" class="w-[25px] h-[25px] rounded-full border border-white flex items-center justify-center">
            <font-awesome-icon :icon="['fab', 'instagram']" class="text-white text-[13px]" />
          </a>
        </div>
        <div class="flex justify-center">
          <a href="#" class="text-[14px] leading-[21px] mr-[35px] text-white">Privacy Policy</a>
          <a href="#" class="text-[14px] leading-[21px] mr-[35px] text-white">Terms &amp; Condition</a>
          <a href="#" class="text-[14px] leading-[21px] text-white">Sitemap</a>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import FooterLink from './FooterLink.vue'

export default {
  name: 'FooterSection',
  components: {
    FooterLink
  },
  data() {
    return {
      ladyImage: require('@/assets/images/lady.svg'),
      playstoreImage: require('@/assets/images/playstore-icon.png'),
      securityIcon: require('@/assets/images/secure-white.svg'),
      certificationIcon: require('@/assets/images/bv_certification_ISO27001.png'),
      kanIcon: require('@/assets/images/kan_logo_27001.png'),
    }
  },
}
</script>

<style lang="scss">
.footer-gradient {
  background: linear-gradient(125deg, #257AB4 0.44%, #113955 96.26%, #113955 96.27%);
}
</style>
